/**
 * 
 */
package com.gau.utils.net.operator;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;

import com.gau.utils.net.request.THttpRequest;
import com.gau.utils.net.response.BasicResponse;
import com.gau.utils.net.response.IResponse;

/**
 * @author liguoliang
 * 
 */
public class StringOperator implements IHttpOperator {

	@Override
	public IResponse operateHttpResponse(THttpRequest request,
			HttpResponse response) throws IllegalStateException, IOException {
		String content = null;
		HttpEntity entity = response.getEntity();
		InputStream is = entity.getContent();
		ByteArrayOutputStream baopt = new ByteArrayOutputStream();
		byte[] buff = new byte[1024];
		int len = -1;

		while ((len = is.read(buff)) != -1) {
			baopt.write(buff, 0, len);
		}
		content = new String(baopt.toString());
		BasicResponse ret = new BasicResponse(IResponse.RESPONSE_TYPE_STRING,
				content);
		return ret;
	}
}
