package com.jb.ga0.commerce.util.retrofit;

import java.util.Map;

import okhttp3.RequestBody;
import okhttp3.ResponseBody;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.FieldMap;
import retrofit2.http.FormUrlEncoded;
import retrofit2.http.GET;
import retrofit2.http.HeaderMap;
import retrofit2.http.POST;
import retrofit2.http.QueryMap;
import retrofit2.http.Url;

/**
 * Created by matt on 2017/10/18.
 */
public interface CommonService {

    @GET
    Call<ResponseBody> get(@Url String url,
                           @HeaderMap Map<String, String> headerMap,
                           @QueryMap Map<String, String> queryMap);

    @POST
    @FormUrlEncoded
    Call<ResponseBody> post(@Url String url,
                            @HeaderMap Map<String, String> headerMap,
                            @FieldMap Map<String, String> fieldMap
                            );


    @POST
    Call<ResponseBody> post(@Url String url,
                            @HeaderMap Map<String, String> headerMap,
                            @Body RequestBody body
                            );
}
