package com.jiubang.core.message;

import java.util.ArrayList;
import java.util.List;

public class Varargs {
	private ArrayList<Object> mContents = new ArrayList<Object>();
		
	/**
	 * 之前的接口是(Object, List)
	 * @return
	 */
	public List getList() {
		return mContents;
	}
	
	public Varargs(Object ...object) {
		int len = object.length;
		for (int i = 0; i < len; ++i) {
			mContents.add(object[i]);
		}
	}
	
	public Object getObject(int index) {
		int len = mContents.size();
		if (index < 0 || index >= len) {
			return null;
		}
		
		return mContents.get(index);
	}
}
