package com.gau.utils.net;

/**
 * 网络异常定义接口
 * 
 * @author huyong
 * 
 */
public class IHttpException {
	public final static int Exception = -1;
	public final static int ClientProtocolException = 0;
	public final static int IOException = 1;
	public final static int IllegalAccessException = 2;
	public final static int ServerException = 3;
	public final static int OOMException = 4;
	public final static int ThrowableException = 5;
	
	/**
	 * 非法无效的URL地址
	 */
	public final static int URL_ILLEGAL = 6;
	
	/**
	 * 长连接已经断开
	 */
	public final static int CONNECT_ALIVE_DISCONNECT = 7;

	// 因过滤页面而超过重连次数的异常
	public final static int FilterException = 10;
	public final static int SocketTimeoutException = 11;
	public final static int ConnectTimeoutException = 12;

}
