/**
 * 
 */
package com.gau.utils.net.connector;

/**
 * @author liguoliang
 *
 */
public interface IConnector {
	/**
	 * 	同步连接
	 */
	void connect();
	
	/**
	 *	异步连接 
	 */
	void connectAsynchronous();
	
	/**
	 * 取消正在进行的连接
	 */
	void cancelCurrentConnect();
	
	/**
	 * 关闭连接
	 */
	void closeConnect();
}
