package com.gau.utils.net.operator;

import java.io.IOException;
import java.io.InputStream;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;

import com.gau.utils.net.request.THttpRequest;
import com.gau.utils.net.response.BasicResponse;
import com.gau.utils.net.response.IResponse;

/**
 * 流式处理
 * @author guoshengliang
 * @version 1.0
 */
public class StreamHttpOperator implements IHttpOperator {

	@Override
	public IResponse operateHttpResponse(THttpRequest request,
			HttpResponse response) throws IllegalStateException, IOException {
		HttpEntity entity = response.getEntity();
		InputStream ins = entity.getContent();
		BasicResponse result = new BasicResponse(
				IResponse.RESPONSE_TYPE_STREAM, ins);
		return result;
	}

}
