package com.jiubang.commerce.buychannel;

/**
 * Created by chenchongji on 2016/6/16.
 */
public class BuySdkConstants {
    public static final String LOG_TAG = "buychannelsdk";
    //check服务端的时间间隔
    public static final long INTERVAL_SERVER_CHECKTIME = 8 * 60 * 60 * 1000;
    //保存版本号的时间间隔
    public static final long INTERVAL_SAVE_VERSION = 1 * 60 * 60 * 1000;
    //check服务端的限制时间，5天
    public static final long LIMIT_DAY = 5 * 24 * 60 * 60 * 1000;
    //定时查询用户标签的限制天数，２天
    public static final long USERTAG_LIMIT_DAY = 2 * 24 * 60 * 60 * 1000;

    //等待Appsflyer返回结果的时间
    public static final long TIME_WAITFOR_APPSFLYER_RESULE = 15 * 1000;

    //sp配置文件
    public static final String FILE_NAME = "commerce_buychannel";
    //保存referrer
    public static final String REFERRER = "referrer";
    public static final long TIME_WAITFOR_REQUEST_USERTAG = 15 * 1000;

    public static final String IS_FIRST_RECEIVER = "isfirst";
    //通过用户标签找回的买量渠道名称
    public static final String BUYCHANNEL_TAG_USERBUY = "buychannel_from_tag_userbuy";
    //通过用户标签找回的带量渠道名称
    public static final String BUYCHANNEL_TAG_WITHCOUNT = "buychannel_from_tag_userbuy_withcount";
    //分隔符
    public static final String SEPARATOR = "%26";

    //定时闹钟的id
    public static final int ALARM_ID = 1999;
    //定时闹钟的名字
    public static final String ALARM_NAME = "buychannelsdk";

    //请求用户标签接口的定时闹钟
    public static final String USERTAG_ALARM_NAME = "usertag_alarm";
    //请求用户标签接口的定时闹钟ID
    public static final int USERTAG_ALARM_ID = 0x6890;

    public static final int APK_USERBUY = 5;
    //买量SDK版本名
    public static final String SDK_VERSION_NAME = "1.4.0";
    //买量SDK版本号
    public static final int SDK_VERSION_CODE = 16;
    //refferer原始数据等待Appsflyer的时间,1分钟
    public static final long TIME_WAITFOR_REFEERER_UPLOARD = 1 * 60 * 1000;
    //用于记录是否上传了Appsflyer第一次45协议
    public static final String APPFLY_UPLOARD = "appfly_upload";
    //第一条Appsflyer原始数据上传的延迟时间
    public static final long TIME_APPFLY_UPLOARD = 1 * 15 * 1000;
    //检查老用户的延迟时间
    public static final long CHECK_OLD_DELAY = 1 * 3 * 1000;
    //存放老的Statistics45.Statistic45Params
    public static final String OLD_45PARMS = "45Params";
    //存放老的sender
    public static final String OLD_SENDER = "sender";
    //存放老的userType
    public static final String OLD_USERTUPE = "userType";
    //isOrgnic appflyer中
    public static final String FIRST_ORGNIC = "isOrgnic";
    //老用户信息存放
    public static final String OLD_USER_MSG = "old_user_msg";
    //appflyer原始数据存放
    public static final String CONVERSIONDATA = "conversionData";
    /**
     * 谷歌广告id
     */
    public static final String GOOGLE_AD_ID = "google_ad_id";
    //当买量SDK获取不到内容时，默认的买量渠道
    public static final String UNKNOWN_BUYCHANNEL = "unknown_buychannel";
    //自然带量的标签数字
    public static final int WITHCOUNT_ORGNIC = 0;
    //拼接的带量符号
    public static final String FROM_3G_CHANNEL = "from_3g_channel";
    //产品的id
    public static final String PRODUCT_ID = "product_id";
    //19协议相关参数
    public static final String STATISTICS19 = "statistics19";
    //存储新用户通过标签接口去找回，之前的用户类型
    public static final String NEW_USER_BEFORE = "new_user_beford";
    //记录重复广播的时间
    public static final String REPEAT_NETWORK = "repeat_network";
    //去服务器查询的类型
    public static final String CHECK_USERTAG_NEWUSER = "check_usertag_newuser";
    public static final String CHECK_USERTAG_OLDUSER = "check_usertag_olduser";
    public static final String CHECK_USERTABLE_OLDUSER = "check_usertable_olduser";
    public static final String CHECK_USERTAG_USERTABLE_OLDUSER = "check_usertag_usertable_olduser";
    //存储去服务器查询的类型
    public static final String CHECK_SERVER_TYPE = "check_server_type";
    //是否游第一次上传19协议
    public static final String ALREADY_UPLOAD_19 = "already_upload_19";

    //统计SDK的监听中是否已经有45
    public static final String KEY_HAS_UPLOAD_45 = "key_has_upload_45";
    //19协议的id
    public static final int PROTOCOL_ID_19 = 19;
    //存储是否已经上传19协议
    public static final String KEY_HAS_UPLOAD_19 = "key_has_upload_19";
    //保存45协议的上传的原始数据
    public static final String KEY_STATISTICS_45_DATA = "key_statistics_45_data";
    //多条45协议之间的分隔符
    public static final String SEPERATOR_45_SP = "\\$";
    //保存买量SDK版本号的信息
    public static final String BUY_SDK_VERSIONCODE = "buy_sdk_versioncode";
    //广告SDK是否初始化成功
    public static final String COMMERCESDK_SUCCESS = "commercesdk_success";
    //保存查询用户标签接口的相关数据
    public static final String USERTAG_PARAMS = "usertag_params";
    //是否已经存储版本号的信息
    public static final String SAVE_VERSIONCODE = "is_save_versioncode";

    //定时闹钟的id,存储versioncode
    public static final int ALARM_ID_VERSIONCODE = 18542;

    public static final String CAMPAIGN = "campaign";

    public static final String CAMPAIGN_ID = "campaignId";

    public static final String DEBUG_CODE1 = "repair";
    public static final String DEBUG_CODE2 = "ga_not_send45";
    public static final String DEBUG_CODE3 = "ga_receive";

    public static final String DEBUG_CODE4 = "af_receive";
    //45协议功能id
    public static final String FUN_ID_45 = "funid_45";
    //45协议产品cId
    public static final String CID_45 = "cid_45";

    public static final String ASSOCIATE_103 = "associatedObj";
    //是否输入法系列产品
    public static final String IS_GOKEYBORAD = "is_goKeyBoard";

    //买量sdk中103协议传的position参数的值
    //定义见http://wiki.3g.net.cn/pages/viewpage.action?pageId=18784950中position
    public static enum Position_103 {
        //必须从0开始，否则fromValue()方法越界
        unknown("0"),
        POSITION_1("1"),
        POSITION_2("2"),
        POSITION_3("3"),
        POSITION_4("4"),
        POSITION_5("5"),
        POSITION_6("6"),
        POSITION_7("7"),
        POSITION_8("8"),
        POSITION_9("9"),;

        private String mValue;

        Position_103(String value) {
            mValue = value;
        }

        public String getValue() {
            return mValue;
        }

        public static Position_103 fromValue(int value) {
            return values()[value];
        }
    }
}
