package com.jiubang.commerce.buychannel.buyChannel.bean;

/**
 * Created by mayunlong on 16-10-18.
 */

public class UserTypeInfo {
    /**
     * 枚举一级用户类型
     * created by mayunlong.
     * created date 16-9-30.
     */
    public static enum FirstUserType {
        apkbuy, userbuy, withCount, organic,
    }

    /**
     * 枚举二级用户类型
     * created by mayunlong.
     * created date 16-10-14.
     */
    public static enum SecondUserType {
        GP_ORGNIC(-1),
        WITHCOUNT_ORGNIC(0),
        GA_USERBUY(1),
        FB_AUTO(2),
        FB_NOTAUTO(3),
        ADWORDS_AUTO(4),
        APK_USERBUY(5),
        ADWORDS_NOTAUTO(6),
        WITHCOUNT_NOT_ORGNIC(7),
        NOT_GP_ORGNIC(8),
        UNKNOWN_USERBUY(9),
        UNKNOWN_OLDUSER(10);
        private int mValue;

        SecondUserType(int value) {
            mValue = value;
        }

        public int getValue() {
            return mValue;
        }

    }


}
