package com.jiubang.golauncher.download;

import com.jiubang.golauncher.download.UtilsDownloadBean;
import com.jiubang.golauncher.download.UtilsErrorDispatchResult;

interface IUtilsDownloadCallback {
    
    void onStart(in UtilsDownloadBean bean);
	
	void onWait(in UtilsDownloadBean bean);
	
	void onUpdate(in UtilsDownloadBean bean);
	
	void onComplete(in UtilsDownloadBean bean);
	
	void onFail(in UtilsDownloadBean bean);
	
	void onReset(in UtilsDownloadBean bean);
	
	void onStop(in UtilsDownloadBean bean);
	
	void onCancel(in UtilsDownloadBean bean);
	
	void onDestroy(in UtilsDownloadBean bean);
	
	void onConnectionSuccess(in UtilsDownloadBean bean);
	
	void onException(in UtilsDownloadBean bean, int error, out UtilsErrorDispatchResult ret);
	
	long getId();
}