package com.jiubang.golauncher.download;

import com.jiubang.golauncher.download.IUtilsDownloadCallback;
import com.jiubang.golauncher.download.UtilsDownloadBean;
import java.util.List;

interface IUtilsDownloadService {
	boolean addDownloadBean(in UtilsDownloadBean bean);
	void addDownloadBeanImpl(long taskId);
	boolean deleteTaskById(long taskId);
	boolean deleteTaskByList(in List list);
	boolean pauseTaskById(long taskId);	
	boolean continueTaskById(long taskId);
	boolean pauseOrContinueTask(long taskId);
	UtilsDownloadBean getUtilsDownloadBean(long taskId);
	long addDownloadTaskListener(long id, IUtilsDownloadCallback instance);
	boolean addDownloadTaskListenerByName(long id, String callbackName);
	
	void removeDownloadTaskListener(long id, IUtilsDownloadCallback instance);
	
	Map getDownloadConcurrentHashMap();
	List getDownloadingTaskSortByTime();
	
	List getDownloadCompleteList();
	List getCompleteIdsByPkgName(String packageName);
	void removeDownloadCompleteItem(long taskId);
	
	void addInstalledPackage(String packageName);
	List getInstalledTaskList();
}